|  | Home · All Classes · Modules

# Qt.ToolBarAreas Class Reference
[QtCore module]

### Methods

- __init__ (self, ToolBarAreas)
- __init__ (self, int)
- __init__ (self)

### Special Methods

- ToolBarAreas __and__ (self, int mask)
- int __bool__ (self)
- bool __eq__ (self, ToolBarAreas f)
- ToolBarAreas __iand__ (self, int mask)
- int __int__ (self)
- ToolBarAreas __invert__ (self)
- ToolBarAreas __ior__ (self, ToolBarAreas f)
- ToolBarAreas __ixor__ (self, ToolBarAreas f)
- bool __ne__ (self, ToolBarAreas f)
- ToolBarAreas __or__ (self, ToolBarAreas f)
- ToolBarAreas __xor__ (self, ToolBarAreas f)

## Detailed Description

ToolBarArea may be used whenever ToolBarAreas is expected.

## Method Documentation

### ToolBarAreas.__init__ (self, ToolBarAreas)

### ToolBarAreas.__init__ (self, int)

### ToolBarAreas.__init__ (self)

### ToolBarAreas ToolBarAreas.__and__ (self, int mask)

### int ToolBarAreas.__bool__ (self)

### bool ToolBarAreas.__eq__ (self, ToolBarAreas f)

### ToolBarAreas ToolBarAreas.__iand__ (self, int mask)

### int ToolBarAreas.__int__ (self)

### ToolBarAreas ToolBarAreas.__invert__ (self)

### ToolBarAreas ToolBarAreas.__ior__ (self, ToolBarAreas f)

### ToolBarAreas ToolBarAreas.__ixor__ (self, ToolBarAreas f)

### bool ToolBarAreas.__ne__ (self, ToolBarAreas f)

### ToolBarAreas ToolBarAreas.__or__ (self, ToolBarAreas f)

### ToolBarAreas ToolBarAreas.__xor__ (self, ToolBarAreas f)